## org.mortbay.jndi.java
Class javaNameParser

    java.lang.Object
      |
      +--org.mortbay.jndi.java.javaNameParser

All Implemented Interfaces:
  javax.naming.NameParser

public class javaNameParser
extends java.lang.Object
implements javax.naming.NameParser

Constructor Summary
`javaNameParser()`

Method Summary
`javax.naming.Name` `parse(java.lang.String name)` Parse a name into its components.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### javaNameParser

    public javaNameParser()

Method Detail

### parse

    public javax.naming.Name parse(java.lang.String name)
                            throws javax.naming.NamingException

  Parse a name into its components.

  Specified by:
    `parse` in interface `javax.naming.NameParser`
  Parameters:
    `name` - The non-null string name to parse.
  Returns:
    A non-null parsed form of the name using the naming convention of this parser.
  Throws:
    `javax.naming.NamingException` - If a naming exception was encountered.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.